Subject: bug#40157: closed (Re: [PATCH] hydra: Display the IRC logs in reverse chronological order.)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 22 Mar 2020 17:42:01 +0000

Your bug report

#40157: [PATCH] hydra: Display the IRC logs in reverse chronological order.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
40157: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=40157
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [PATCH] hydra: Display the IRC logs in reverse chronological order.
From: Leo Famulari <[email-masked]>
To: Ricardo Wurmus <[email-masked]>
Cc: [email-masked]
Date: Sun, 22 Mar 2020 13:41:30 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

On Sun, Mar 22, 2020 at 12:43:43PM +0100, Ricardo Wurmus wrote:
> > I think that people usually want to read the latest logs, which
> > currently requires a lot of scrolling.
> >
> > * hydra/goggles.scm (index): Reverse the list of log files.
> 
> Looks good, thank you.  I’ve applied it.  We’ll have to wait for the
> next reconfiguration to see the effects on logs.guix.gnu.org.

Thanks!

Subject: [PATCH] hydra: Display the IRC logs in reverse chronological order.
From: Leo Famulari <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Fri, 20 Mar 2020 17:43:49 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

I think that people usually want to read the latest logs, which
currently requires a lot of scrolling.

* hydra/goggles.scm (index): Reverse the list of log files.
---
 hydra/goggles.scm | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/hydra/goggles.scm b/hydra/goggles.scm
index 169b3c3..884c8df 100644
--- a/hydra/goggles.scm
+++ b/hydra/goggles.scm
@@ -181,9 +181,9 @@ freenode." channel))
      (ul
       ,@(map (lambda (file)
                `(li (a (@ (href ,(string-append "/" channel "/" file))) ,file)))
-             (or (scandir (string-append %log-root "/#" channel "/")
-                          (lambda (name)
-                           (not (member name '("." ".." "index.html")))))
+             (or (reverse (scandir (string-append %log-root "/#" channel "/")
+                                   (lambda (name)
+                                    (not (member name '("." ".." "index.html"))))))
                  '()))))))
 
 (define %controller
-- 
2.25.1